in scala.actors
class Channel

`class` Channel [Msg]
  `extends` java.lang.Object
  `with` scala.actors.InputChannel[Msg]
  `with` scala.actors.OutputChannel[Msg]
  `with` scala.ScalaObject

  This class provides a means for typed communication among actors. Only the actor creating an instance of a `Channel` may receive from it.

Version:
  Beta2
Author:
  Philipp Haller

Constructor Summary
| `def` this

Val Summary
| `val` waitingForNone : scala.Function1[Msg, scala.Boolean]

Var Summary
| `var` isSuspended : scala.Boolean
| `var` receiver : scala.actors.Actor
| `var` waitingFor : scala.Function1[Msg, scala.Boolean]
| `var` waitingForSender : scala.actors.Actor

Def Summary
| `def` ! (msg: Msg) : scala.Unit Sends `msg` to this `Channel`.
| `def` !? (msg: Msg) : scala.Any Sends `msg` to this `Channel` and awaits reply.
| `def` ? : Msg
| `def` forward (msg: Msg) : scala.Unit Forwards `msg` to `this` keeping the last sender as sender instead of `self`.
| `def` poll : scala.Option[Msg]
| `def` react (f: scala.PartialFunction[scala.Any, scala.Unit]) : scala.Nothing `receive` for reactors.
| `def` reactWithin (msec: scala.Long)(f: scala.PartialFunction[scala.Any, scala.Unit]) : scala.Nothing `receiveWithin` for reactors.
| `def` receive [R] (f: scala.PartialFunction[Msg, R]) : R Receives a message from this `Channel`.
| `def` receiveFrom [R] (r: scala.actors.Actor)(f: scala.PartialFunction[Msg, R]) : R
| `def` receiveWithin [R] (msec: scala.Long)(f: scala.PartialFunction[scala.Any, R]) : R Receives a message from this `Channel`. If no message could be received before `msec` milliseconds elapsed, the `TIMEOUT` action is executed if specified.

Constructor Detail

`def` this

Val Detail

`val` waitingForNone : scala.Function1[Msg, scala.Boolean]

Var Detail

`var` isSuspended : scala.Boolean

`var` receiver : scala.actors.Actor

`var` waitingFor : scala.Function1[Msg, scala.Boolean]

`var` waitingForSender : scala.actors.Actor

Def Detail

`def` ! (msg: Msg): scala.Unit

  Sends `msg` to this `Channel`.

`def` !? (msg: Msg): scala.Any

  Sends `msg` to this `Channel` and awaits reply.

`def` ? : Msg

`def` forward (msg: Msg): scala.Unit

  Forwards `msg` to `this` keeping the last sender as sender instead of `self`.

`def` poll : scala.Option[Msg]

`def` react (f: scala.PartialFunction[scala.Any, scala.Unit]): scala.Nothing

  `receive` for reactors.

`def` reactWithin (msec: scala.Long)(f: scala.PartialFunction[scala.Any, scala.Unit]): scala.Nothing

  `receiveWithin` for reactors.

`def` receive [R](f: scala.PartialFunction[Msg, R]): R

  Receives a message from this `Channel`.

`def` receiveFrom [R](r: scala.actors.Actor)(f: scala.PartialFunction[Msg, R]): R

`def` receiveWithin [R](msec: scala.Long)(f: scala.PartialFunction[scala.Any, R]): R

  Receives a message from this `Channel`. If no message could be received before `msec` milliseconds elapsed, the `TIMEOUT` action is executed if specified.